Subject: Re: [PATCH] Allow '+', '-' and '.' in remote helper names

From: Paolo Bonzini <[email-masked]>
Date: Tue, 23 Feb 2010 14:48:33 +0100

On 02/23/2010 01:33 PM, Ilari Liusvaara wrote:
> According to relevant RFCs, in addition to alphanumerics, the following
> characters are valid in URL scheme parts: '+', '-' and '.', but
> currently only alphanumerics are allowed in remote helper names.
>
> Allow those three characters in remote helper names (both 'foo://' and
> 'foo::' syntax).

I think '+' could be special-cased in that, for example, "svn+ssh://" 
should still invoke an hypothetic git-remote-svn helper.  There is no 
use yet for this feature, but I'm sure that foreign VCS helpers would 
use it.

Paolo